便宜VPS,VPS推荐
整理VPS云服务器优惠信息
恒创科技 迅连网络 华纳云 快速云 搬瓦工 GigsGigsCloud

Linode CentOS8提示“Unable to install policycoreutils-python”的解决办法

今天VPS GO买了一台Linode VPS,系统选的是最新的CentOS 8,在修改默认的22端口时,发现Linode默认开启了SELinux,安装semanage开放新的SSH端口时,返回Unable to install policycoreutils-python的错误,本文分享下错误原因和解决方法。

一、修改SSH端口相关教程

因为很多VPS商家都是默认使用22端口,这时你的VPS就有可能被脚本暴力破解SSH登陆,之前VPS GO就已经分享了VPS如何修改默认的22端口,详细步骤和教程可以参考:

对于CentOS系统,一些商家提供的系统会默认开启Firewalld或者SELinux防火墙,所以修改完SSH端口后,我们还需要配置防火墙,开放指定端口,详细教程:

今天VPS GO在Linode VPS上修改22端口时,发现Linode默认开启的是SELinux,但是在安装semanage时,却返回Unable to install policycoreutils-python的错误,详细错误信息:

No match for argument: policycoreutils-python
Error: Unable to find a match: policycoreutils-python

如下图:

Unable to install policycoreutils-python

二、无法安装的解决方法

查阅了相关资料,发现是CentOS8上这个包已经换了一个名称了:

It’s renamed in el8: policycoreutils-python-utils-2.9-9.el8.noarch

于是使用命令yum -y install policycoreutils-python-utils,成功安装semanage:

安装semanage

之后就跟CentOS 7一样查看SSH端口、添加SSH端口即可。

赞(1)
关注我们
未经允许不得转载:VPS GO » Linode CentOS8提示“Unable to install policycoreutils-python”的解决办法